import { Router } from "express";
import { join } from 'path';
import apiRouter from "./apiRouter";

export function useRouter(): Router {
  const router = Router();
  
  router.get('/', (req, res) => {
    res.sendFile(join(__dirname, 'index.html'));
  });

  router.use('/api', apiRouter());

  return router;
}