import { ObjectId } from "mongodb";

export default function toObjectId(oid: string | ObjectId): ObjectId {
  if (oid instanceof ObjectId) {
    return oid;
  }
  return ObjectId.createFromHexString(oid);
}